Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QServerSocket

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QServerSocket class reference

### Public Functions

- QServerSocket ( QObject * parent, const char * name )
- QServerSocket ( Q_UINT16 port, int backlog, QObject * parent, const char * name )
- QServerSocket ( const QHostAddress & address, Q_UINT16 port, int backlog, QObject * parent, const char * name )

## Member Function Documentation

### QServerSocket::QServerSocket ( QObject * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QServerSocket::QServerSocket ( Q_UINT16 port, int backlog, QObject * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QServerSocket::QServerSocket ( const QHostAddress & address, Q_UINT16 port, int backlog, QObject * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.